<template>
		<view class="u-listdata">
			<view style="padding:16rpx 0 16rpx 32rpx">
				共有 <span style="color: red">{{totalnumber}}</span>条记录
			</view>
			<u-list @scrolltolower="scrolltolower" :pagingEnabled='true'
			style="height: 400px;flex: 1;">
				<u-list-item v-for="(item, index) in indexList" :key="index">
					<view class="companylist" @click="seedetail(item)">
						<view class="Currentamount" style="color: #333;">
							短信内容: {{item.content}}
						</view>
						<view class="Currentamount">
							发送时间: {{item.createDate}}
						</view>
						<!-- <view class="Currentamount">
							空间信息:￥{{item.spacePos}}
						</view> -->
						<!-- <view class="Currentamount">
							联系电话: {{item.mobile}}
						</view> -->
						<!-- <view class="Currentamount">
							短信类型: 催费
						</view> -->
						
					</view>

				</u-list-item>
			</u-list>
		</view>
</template>

<script>
	export default {
		data() {
			return {
				indexList:[],
				postdata:{
					name:'',
					page:1,
					limit:10,
				},
				pd: true,
				totalnumber:0,
			}
		},
		onLoad(options) {
		    this.postdata.name = options.companyOrgId;
		  //  console.log(options.companyOrgId);
			this.getdata()
		},
		methods: {
			getdata(){
				this.$api.get('/expeditrecord/recordpage',this.postdata)
				.then(res=>{
				  console.log('111111111111111111',res.data.data.total)
this.totalnumber=res.data.data.total;

				  if (res.data.data.list.length != 0) {
				  	this.indexList.push(...res.data.data.list);
				  	this.postdata.page = this.postdata.page + 1;
				  	this.pd = true;
				  } else {
				  	uni.showToast({
				  		title: '暂无更多数据了',
				  		icon: 'none',
				  		duration: 1500
				  	})
				  	this.pd = false;
				  }


				})
			},
			scrolltolower() {
				if (this.pd) {
					this.getdata();
				} else {
					return
				}
			},

		}
	}
</script>

<style lang="scss">
	.u-listdata{
		height:100%;
		display: flex;
		flex-direction: column;
	}
	.companylist {
		margin: 0 32rpx 24rpx;
		background: #fff;
		padding: 24rpx 32rpx 10rpx;
		border-radius: 8rpx;
		position: relative;
	
		h3 {
			margin-bottom: 24rpx;
		}
	
		.Currentamount {
			margin-bottom: 4rpx;
			color: #999;
			margin-bottom: 20rpx;
			font-size: 28rpx;
			span {
				color: #FA5555;
				padding-left: 9rpx;
			}
		}
		.outstanding{
			position: absolute;
			width:96rpx;
			height: 48rpx;
			border-radius: 0 8rpx 0 20rpx;
			right:0;
			line-height: 48rpx;
			text-align: center;
			top:0;
			z-index: 1;
			font-size: 22rpx;
			background-color:#30D3A2 ;
			color: #fff;
			&.PropertyFee{
				background-color:#30D3A2 ;
			}
		}
	
	}
</style>

